.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.HeaderList {
  display: flex;
  justify-content: space-between;
  margin-top: 20px;
  margin-bottom: 20px;
  padding-top: 20px;
  padding-left: 120px;
  padding-right: 120px;
}

.HeaderList .nameHeader{
  font-weight: bold;
  font-size: 25px;
}

.HeaderList button {
  background-color: rgb(48, 48, 255);
  border-radius: 7px;
  color: white;
}

.HeaderList button:hover{
  background-color: rgb(4, 4, 186);
}

/* card */
.containerList {
  margin-left: 50px;
  margin-right: 50px;
  margin-bottom: 50px;
}

.dataProduct {
  margin-left: 50px;
}

.card {
  width: 250px;
  height: 355px;
  background-image: linear-gradient(163deg, #00ff75 0%, #3700ff 100%);
  border-radius: 10px;
  transition: all 0.3s;
  float: left;
  margin: 25px;
  
}

.card2 {
  width: 250px;
  height: 355px;
  background-color: #ffffff;
  box-shadow: -2px -2px 2px 2px;
  border-radius: 10px;
  transition: all 0.2s;
}

.card2:hover {
  border : 0;
  transform: scale(0.98);
}

.card:hover {
  box-shadow: 0px 0px 30px 1px rgba(0, 255, 117, 0.3);
}

.product {
  width: 100%;
  height: 190px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  margin-bottom: 10px;
}

.List-data {
  text-align: left;
  padding-left: 5px;
  margin: 10px;
}

.List-data h1{
  font-weight: bold;
  font-size: 20px;
  margin-bottom: 10px;
}

.List-data .stock{
  color:#3700ff;
  font-size: 19px;
}

.diskon {
  margin-bottom: 5px;
}

.diskon .harga-asli {
  color: #3700ff;
  text-decoration: line-through;
  font-size: 14px;
}

.diskon .harga-diskon {
  color: red;
  font-size: 20px;
  font-weight: bold;
}

.hargaAsli {
  color: #3700ff;
  font-size: 20px;
  font-weight: bold;
  margin-bottom: 5px;
}

/* detail */
.cardDetail {
  display: flex;
  justify-content: center;
  margin: 50px;
}

/* login */
.cardLogin {
  display: flex;
  justify-content: center;
  margin: 50px;
}


/* register */
.cardRegister {
  display: flex;
  justify-content: center;
  margin: 50px;
}

/* searchfilter */
.filterSearch {
  margin-right: 30px;
}

.filterkategory{
  margin-right: 20px;
}

/* setting */
.HeaderSetting {
  display: flex;
  justify-content: space-between;
  margin-top: 20px;
  margin-bottom: 20px;
  padding-top: 20px;
  padding-left: 30px;
  padding-right: 30px;
}

.HeaderSetting .nameHeader{
  font-weight: bold;
  font-size: 25px;
}

.HeaderSetting button {
  background-color: rgb(48, 48, 255);
  border-radius: 7px;
  color: white;
}

.HeaderSetting button:hover{
  background-color: rgb(4, 4, 186);
}

/* table */
.TableProducts {
  margin: 30px;
}

.imageProduct {
  width: 100%;
  height: 100px;
  margin-bottom: 10px;
}

.thname {
  max-width: 100px;
}